U-Tools: Unique Tools for Windows System Administrators
U-Move Help

Supported OS Upgrade Combinations

U-Move can upgrade Active Directory by transferring it to a new computer. This is sometimes called a “swing migration.” The new computer must run a newer (more recent) version of Windows Server.

The following table shows the versions of Windows Server that are compatible with U-Move to upgrade Active Directory.

Upgrade:
Source
Server
Upgrade: Destination Server
Server
2003
Server
2008
Server
2012
SBS
2003
SBS
2008
WSE
2011*
WSE
2012
WSE
2016
Server
2016
Server
2003
YesYesYesYesYesYes
Server
2008
YesYesYesYesYes
Server
2012
YesYes
SBS
2003
YesYesYesYesYesYesYesYes
SBS
2008
YesYesYesYesYesYes
WSE
2011*
YesYesYesYes
WSE
2012
YesYesYes

SBS = Small Business Server. WSE = Windows Server Essentials. (* WSE 2011 includes SBS 2011.)

Note for R2: You can upgrade to either the non-R2 or R2 versions of any operating system listed above. This includes Windows Server 2003 R2, Windows Server 2008 R2, and Windows Server 2012 R2. For example, you can upgrade from Windows Server 2003 (non-R2) to either Windows Server 2012 (non-R2) or Windows Server 2012 R2. You cannot 'go backwards'. For example, you cannot move AD from Windows Server 2012 R2 to Windows Server 2012 (non-R2).

See also Basic Requirements.